banner: |-1
       _/_/_/    _/_/_/    _/_/_/  _/_/_/_/
      _/    _/    _/    _/        _/       
     _/    _/    _/    _/        _/_/_/    
    _/    _/    _/    _/        _/         
   _/_/_/    _/_/_/    _/_/_/  _/_/_/_/ 

   UNSTABLE - use at your own peril.

services:
  - name: SUPERVISOR
    restart: true
    execute: 
      binary: binary/dice-supervisor_darwin_amd64
    updates:
      checker:
        gitlab-commit:
          gitlab-api:
            token: 13anPcN6p68MFHcY9F-Z
            project: 1466831
          ref: develop
      downloader:
        gitlab-artifact:
          gitlab-api: 
            token: 13anPcN6p68MFHcY9F-Z
            project: 1466831
          ref: develop
          job: publish
    requirements:
      - message: RabbitMQ is not runnning
        status:
          port: 5672
      - message: OrientDB is not running
        status:
          port: 2424

  - name: RAPIDICE
    execute: 
      binary: binary/dice-rapidice_darwin_amd64
    updates:
      checker:
        gitlab-commit:
          gitlab-api:
            token: 13anPcN6p68MFHcY9F-Z
            project: 1475956
          ref: develop
      downloader:
        gitlab-artifact:
          gitlab-api: 
            token: 13anPcN6p68MFHcY9F-Z
            project: 1475956
          ref: develop
          job: publish
    requirements:
      - message: RabbitMQ is not runnning
        status:
          port: 5672  
    
  - name: SCANNER DRIVER
    execute: 
      binary: binary/dice-driver-scanner_darwin_amd64
    updates:
      checker:
        gitlab-commit:
          gitlab-api:
            token: 13anPcN6p68MFHcY9F-Z
            project: 1397689
          ref: develop
      downloader:
        gitlab-artifact:
          gitlab-api: 
            token: 13anPcN6p68MFHcY9F-Z
            project: 1397689
          ref: develop
          job: publish
    requirements:
      - message: RabbitMQ is not runnning
        status:
          port: 5672
  
    #- name: SCANNER AGENT
    #execute: 
    #  binary: binary/dice-agent_windows_amd64.exe
    #updates:
    #  checker:
    #    gitlab-commit:
    #      gitlab-api:
    #        token: 13anPcN6p68MFHcY9F-Z
    #        project: 1273884
    #      ref: develop
    #  downloader:
    #    gitlab-artifact:
    #      gitlab-api: 
    #        token: 13anPcN6p68MFHcY9F-Z
    #        project: 1273884
    #      ref: develop
    # job: publish
